Bug 159761 - Summary: Appointments should not show Special Events
Summary: Summary: Appointments should not show Special Events
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: summary (show other bugs)
Version: 1.2.5
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-23 22:05 UTC by Dotan Cohen
Modified: 2008-08-06 16:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-03-23 22:05:53 UTC
Version:           1.2.5 (using KDE 3.5.8)
Installed from:    Ubuntu Packages

Birthdays and anniversaries should not be shown in the Appointments section of the Summary View. There is a section for Special Dates already, and they are very distracting in the Appointments section.
Comment 1 Allen Winter 2008-07-07 18:38:12 UTC
string freeze now, but i'll try to implement this as a configuration option for the 4.2 release.
Comment 2 Dotan Cohen 2008-07-07 21:07:23 UTC
Thanks, Allen, it will make the summary view much cleaner to navigate visually.
Comment 3 Allen Winter 2008-08-06 16:13:01 UTC
SVN commit 843130 by winterz:

Provide config option to not show birthdays or anniveraries in the Upcoming Events
BUGS: 159761
FEATURE:

Do not backport


 M  +107 -86   apptsummaryconfig_base.ui  
 M  +46 -16    apptsummarywidget.cpp  
 M  +8 -4      apptsummarywidget.h  
 M  +42 -21    kcmapptsummary.cpp  
 M  +4 -1      kcmapptsummary.h  
 M  +3 -1      korganizerplugin.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=843130